# 1.0.2 API documentation: matrix_uint2x2_sized.hpp File Reference

matrix_uint2x2_sized.hpp File Reference

GLM_EXT_matrix_uint2x2_sized More...

Go to the source code of this file.

## Typedefs

typedef mat< 2, 2, uint16, defaultp > | u16mat2
| 16 bit unsigned integer 2x2 matrix. More...
typedef mat< 2, 2, uint16, defaultp > | u16mat2x2
| 16 bit unsigned integer 2x2 matrix. More...
typedef mat< 2, 2, uint32, defaultp > | u32mat2
| 32 bit unsigned integer 2x2 matrix. More...
typedef mat< 2, 2, uint32, defaultp > | u32mat2x2
| 32 bit unsigned integer 2x2 matrix. More...
typedef mat< 2, 2, uint64, defaultp > | u64mat2
| 64 bit unsigned integer 2x2 matrix. More...
typedef mat< 2, 2, uint64, defaultp > | u64mat2x2
| 64 bit unsigned integer 2x2 matrix. More...
typedef mat< 2, 2, uint8, defaultp > | u8mat2
| 8 bit unsigned integer 2x2 matrix. More...
typedef mat< 2, 2, uint8, defaultp > | u8mat2x2
| 8 bit unsigned integer 2x2 matrix. More...

## Detailed Description

GLM_EXT_matrix_uint2x2_sized

See also
  Core features (dependence)

Definition in file matrix_uint2x2_sized.hpp.